package com.polarsparc.cxf.jaxws.standalone;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name="SimpleInterestDTO",
		        namespace="http://polarsparc.com/")
public class SimpleInterestDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	private int months;
	private double amount;
	private double rate;
	
	public SimpleInterestDTO() {
		this.months = 0;
		this.amount = 0.0;
		this.rate = 0.0;
	}

	public SimpleInterestDTO(int months, double amount, double rate) {
		this.months = months;
		this.amount = amount;
		this.rate = rate;
	}
	
	public int getMonths() {
		return this.months;
	}

	public void setMonths(int months) {
		this.months = months;
	}

	public double getAmount() {
		return this.amount;
	}

	public void setAmount(double amount) {
		this.amount = amount;
	}

	public double getRate() {
		return this.rate;
	}

	public void setRate(double rate) {
		this.rate = rate;
	}
}
